Skip to content

AssignmentEventType​


OpenAPI Spec​

GET
/v1/assignment-event-types/spec

Get OpenAPI 3.1.0 spec for AssignmentEventType API

Responses​

Returns OpenAPI 3.1.0 spec for AssignmentEventType API

application/json
JSON
{
}

Playground​

Samples​


List AssignmentEventTypes​

GET
/v1/assignment-event-types

List AssignmentEventTypes

Authorizations​

apiKey
Type
HTTP (bearer)

Parameters​

Query Parameters

page
Type
number
Minimum
0
Default
0
size
Type
number
Minimum
1
Maximum
20
Default
10
id
name
deactivatedAt
createdAt
updatedAt

Responses​

List response

application/json
JSON
{
"page": 0,
"pages": 0,
"size": 10,
"items": [
{
"id": 0,
"name": "string",
"shortName": "string",
"color": "string",
"order": 0,
"deactivatedAt": "string",
"createdAt": "string",
"updatedAt": "string"
}
]
}

Playground​

Server
Authorization
Variables
Key
Value

Samples​


Get an AssignmentEventType​

GET
/v1/assignment-event-types/{assignmentEventTypeId}

Get an AssignmentEventType by ID

Authorizations​

apiKey
Type
HTTP (bearer)

Parameters​

Path Parameters

assignmentEventTypeId*
Type
integer
Required
Format
"int32"

Responses​

AssignmentEventType found

application/json
JSON
{
"id": 0,
"name": "string",
"shortName": "string",
"color": "string",
"order": 0,
"deactivatedAt": "string",
"createdAt": "string",
"updatedAt": "string"
}

Playground​

Server
Authorization
Variables
Key
Value

Samples​